Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.scripting.builders
Class ScriptConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.builders.AbstractResourceConfigurationBuilder
              org.mule.module.scripting.builders.ScriptConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class ScriptConfigurationBuilder

extends AbstractResourceConfigurationBuilder

Configures Mule from one or more script files.

Field Summary
`protected MuleContext` | `muleContext`
`static String` | `SCRIPT_ENGINE_NAME_PROPERTY`

Fields inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
`configResources, logger`

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configured`

Constructor Summary
`ScriptConfigurationBuilder(String configResource)`
`ScriptConfigurationBuilder(String[] configResources)`
`ScriptConfigurationBuilder(String scriptEngineName, String configResource)`
`ScriptConfigurationBuilder(String scriptEngineName, String[] configResources)`

Method Summary
`protected void` | `doConfigure(MuleContext muleContext)` Will configure a MuleContext based on the configuration provided.
`protected void` | `populateBindings(javax.script.Bindings bindings)`

Methods inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
`configure, createConfigResourcesString, loadConfigResources`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`applyLifecycle, isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCRIPT_ENGINE_NAME_PROPERTY

    public static final String SCRIPT_ENGINE_NAME_PROPERTY

See Also:
  Constant Field Values

### muleContext

    protected MuleContext muleContext

Constructor Detail

### ScriptConfigurationBuilder

    public ScriptConfigurationBuilder(String configResource)
                               throws MuleException

Throws:
  `MuleException`

### ScriptConfigurationBuilder

    public ScriptConfigurationBuilder(String[] configResources)
                               throws MuleException

Throws:
  `MuleException`

### ScriptConfigurationBuilder

    public ScriptConfigurationBuilder(String scriptEngineName,
                                      String configResource)
                               throws MuleException

Throws:
  `MuleException`

### ScriptConfigurationBuilder

    public ScriptConfigurationBuilder(String scriptEngineName,
                                      String[] configResources)
                               throws MuleException

Throws:
  `MuleException`

Method Detail

### doConfigure

    protected void doConfigure(MuleContext muleContext)
                        throws Exception

  Description copied from class: `AbstractConfigurationBuilder`
  Will configure a MuleContext based on the configuration provided. The configuration will be set on the `ConfigurationBuilder` implementation as bean properties before this method has been called.

  Specified by:
    `doConfigure` in class `AbstractConfigurationBuilder`
  Parameters:
    `muleContext` - The current `MuleContext`
  Throws:
    `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly
    `Exception`

### populateBindings

    protected void populateBindings(javax.script.Bindings bindings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.